ResourceTypeDisplaySummary (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.uibeans.ResourceTypeDisplaySummary class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.uibeans
Class ResourceTypeDisplaySummary

    java.lang.Object
      org.hyperic.hq.bizapp.shared.uibeans.ResourceTypeDisplaySummary

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

Direct Known Subclasses:
  AutogroupDisplaySummary, SingletonDisplaySummary

    public abstract class ResourceTypeDisplaySummary

extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable

Represents the resource current health summary displayed on the "Current Health" views for a resource type. Note: the "performanceThreshold" and "thruputThreshold" levels are unlikely v1.0 features, so any effort beyond stub implementation until they're scheduled for release is probably unnecessary.

See Also:
  Serialized Form

Constructor Summary
`ResourceTypeDisplaySummary()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`java.lang.Integer` | `getAppdefTypeId()`
`java.lang.Double` | `getAvailability()`
`java.lang.Integer` | `getAvailTempl()`
`java.lang.Integer` | `getNumResources()`
`java.lang.Double` | `getPerformance()` Returns the performance for the resource.
`java.lang.String` | `getPerformanceUnits()`
`java.lang.Integer` | `getPerformTempl()`
`AppdefResourceTypeValue` | `getResourceType()`
`abstract int` | `getSummaryType()` Returns a constant describing the summarized resources.
`java.lang.Double` | `getThroughput()`
`java.lang.Integer` | `getThroughputTempl()`
`java.lang.String` | `getThroughputUnits()`
`void` | `setAppdefTypeId(java.lang.Integer integer)`
`void` | `setAvailability(java.lang.Double availability)`
`void` | `setAvailTempl(java.lang.Integer availTempl)`
`void` | `setNumResources(java.lang.Integer i)`
`void` | `setPerformance(java.lang.Double performance)` Method setPerformance.
`void` | `setPerformanceUnits(java.lang.String units)`
`void` | `setPerformTempl(java.lang.Integer performTempl)`
`void` | `setResourceType(AppdefResourceTypeValue resourceType)` Sets the resourceType.
`void` | `setThroughput(java.lang.Double throughput)`
`void` | `setThroughputTempl(java.lang.Integer throughputTempl)`
`void` | `setThroughputUnits(java.lang.String throughputUnits)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceTypeDisplaySummary

    public ResourceTypeDisplaySummary()

Method Detail

### getSummaryType

    public abstract int getSummaryType()

  Returns a constant describing the summarized resources. Examples of summary types are "autogroup", "cluster" and "singleton".

  See Also:
    `UIConstants`

### getAvailability

    public java.lang.Double getAvailability()

### setAvailability

    public void setAvailability(java.lang.Double availability)

### getThroughput

    public java.lang.Double getThroughput()

  Returns:
    Double The value for the Throughput metric

### setThroughput

    public void setThroughput(java.lang.Double throughput)

### getPerformance

    public java.lang.Double getPerformance()

  Returns the performance for the resource. Performance is a unit measured for the resource type that is user specified (not per resource or per user but per resource type).

  Returns:
    Double

### setPerformance

    public void setPerformance(java.lang.Double performance)

  Method setPerformance. Assigns the performance for the resource. Performance is a unit measured for the resource type that is user specified (not per resource or per user but per resource type).

  Parameters:
    `performance` - The performance to set

### getResourceType

    public AppdefResourceTypeValue getResourceType()

### setResourceType

    public void setResourceType(AppdefResourceTypeValue resourceType)

  Sets the resourceType. Assigns the name of the resource type for display in UI i.e. "Apache Virtual Host" or "Weblogic war"

  Parameters:
    `resourceType` - The resourceType to set

### getNumResources

    public java.lang.Integer getNumResources()

### setNumResources

    public void setNumResources(java.lang.Integer i)

### getAppdefTypeId

    public java.lang.Integer getAppdefTypeId()

### setAppdefTypeId

    public void setAppdefTypeId(java.lang.Integer integer)

### getThroughputUnits

    public java.lang.String getThroughputUnits()

### setThroughputUnits

    public void setThroughputUnits(java.lang.String throughputUnits)

### getAvailTempl

    public java.lang.Integer getAvailTempl()

### setAvailTempl

    public void setAvailTempl(java.lang.Integer availTempl)

### getPerformTempl

    public java.lang.Integer getPerformTempl()

### setPerformTempl

    public void setPerformTempl(java.lang.Integer performTempl)

### setPerformanceUnits

    public void setPerformanceUnits(java.lang.String units)

### getPerformanceUnits

    public java.lang.String getPerformanceUnits()

### getThroughputTempl

    public java.lang.Integer getThroughputTempl()

### setThroughputTempl

    public void setThroughputTempl(java.lang.Integer throughputTempl)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.